query listVendorDefaultSettings @auth(level: USER) {
  vendorDefaultSettings {
    id
    vendorName
    defaultMarkupPercentage
    defaultVendorFeePercentage
  }
}

query getVendorDefaultSettingById(
  $id: UUID!
) @auth(level: USER) {
  vendorDefaultSetting(id: $id) {
    id
    vendorName
    defaultMarkupPercentage
    defaultVendorFeePercentage
  }
}

query filterVendorDefaultSettings(
  $vendorName: String,
  $defaultMarkupPercentage: Float,
  $defaultVendorFeePercentage: Float
) @auth(level: USER) {
  vendorDefaultSettings(
    where: {
      vendorName: { eq: $vendorName }
      defaultMarkupPercentage: { eq: $defaultMarkupPercentage }
      defaultVendorFeePercentage: { eq: $defaultVendorFeePercentage }
    }
  ) {
    id
    vendorName
    defaultMarkupPercentage
    defaultVendorFeePercentage
  }
}
